
	<script>
	var util = { };

document.addEventListener('keydown', function(e){

    var key = util.key[e.which];
    if( key ){
        e.preventDefault();
    }

   if( key === 'F5' ){        
  return  printDiv('printableArea');
    }
  if( key === 'F6' ){        
  window.location.href = "../user/allinvoices";
    }

	 if( key === 'enter' ){        
return true;
    }
	
   
	
	
})


  
util.key = { 
  9: "tab",
  //13: "enter",
  16: "shift",
  12: "alt",
  27: "esc",
  33: "rePag",
  34: "avPag",
  35: "end",
  36: "home",
  37: "left",
  38: "up",
  39: "right",
  40: "down",
  112: "F1",
  113: "F2",
  114: "F3",
  115: "F4",
  116: "F5",
  117: "F6",
  112: "F7",
  119: "F8",
  120: "F9",
  121: "F10",
  122: "F11",
  123: "F12"
}
 

	</script>
<script>
	function printDiv(divName) {
     var printContents = document.getElementById(divName).innerHTML;
     var originalContents = document.body.innerHTML;

     document.body.innerHTML = printContents.fontsize(16);
     window.print();

	 if( window.print()) {
         window.location.href = "../user/viewsales";
		alert(" printing...........");
    }else {

	
		      return      window.location.href = "../user/viewsales";

		    // document.body.innerHTML = originalContents;

	}
}
	</script>
<style type="text/css">
      #myprint { display: none; }
  
  .invoice-box table tr.heading td {
        background: #eee;
        border-bottom: 1px solid #ddd;
        font-weight: bold;
		height:auto;
		
		
    }
  #rcorners {

    border-collapse:separate;
    border:solid black 1px;
    border-radius:6px;
    -moz-border-radius:6px;
	   border-left:solid black 1px;


  }
  

    #printable { display: none; }
#print{  	


    background-repeat: no-repeat;
	font-size;10px;

    width:100%; height:50px;



}
.doted{
    border: dotted 3px #000000;
}
table { border-collapse: collapse; }
td { padding: 5px; }
#maintable tr { border-bottom:0px dashed #494949; padding:5px;}


table{
    border-collapse:collapse;/*This property collapses borders together*/
}

#sale{  	
background-image:url(images/add.png) ;

    background-repeat: no-repeat;
  
    width:100px; height:50px;


}
#myalltitle { font-size: 2em; }
#alltitle{ font-size: 1em; }
	#mytitle { font-size: 1.4em; }

    
    {
		
    	#non-printable { display: none; }
    	#printableArea { display: block; font-size:10; width:100%; }
		  margin:0; 
		#receipt{
	font-style: normal;font-size: 1.5em;
	
	padding:0px;
	
}
    }
    </style>
<?PHP

 echo $this->session->flashdata('imagemsg1'); 
		 
		    
$session_data = $this->session->userdata('logged_in');


$data['surname'] = $session_data['surname'];
$data['id'] = $session_data['id'];

$surname=$data['surname'];
   $userid=$data['id'];

   $myuser=$this->usermodel->geteuser($userid);
   $myname=$myuser[0]['firstname'];
    $postedtime = date('Y-m-d');
		$currenttime = date('h:i:sa');
 		$dateposted =  ($postedtime)." ".$currenttime ;	

function formatMoney($number, $fractional=false) {
						if ($fractional) {
							$number = sprintf('%.2f', $number);
						}
						while (true) {
							$replaced = preg_replace('/(-?\d+)(\d\d\d)/', '$1,$2', $number);
							if ($replaced != $number) {
								$number = $replaced;
							} else {
								break;
							}
						}
						return $number;
					}	

 $displaycode=$this->usermodel->populatuserpermissionsdataarray('config','productcode',$userid);

					
?>
 
 <div class="row">

 

   	<div class="col-md-12">
	
  	
			<div class="table-responsive" id="printableArea" style="width:100%" >
						<table border="0" width="100%">
					
						<tr>
						<td colspan="2" valign="top">
<?php
 $session_data = $this->session->userdata('logged_in');

   
 	$data['id'] = $session_data['id'];
        
		 $userid = $data['id'];
$data['companyid'] = $session_data['companyid'];
	 $companyid = $data['companyid'];
		 $data['usertype'] = $session_data['usertype'];
	 $usertype = $data['usertype'];	

								$profile = $this->usermodel->populateall('smsconfig','id',$companyid);

	
		if(!is_array($profile)) 

 {
	 $this->session->set_flashdata('msg', '<div class="alert alert-danger fade in">
						 <a href="#" class="close" data-dismiss="alert">&times;</a><strong>Error!</strong>Upload photo</div>');
							

    }else {

    
          
  	foreach ($profile as $c): 
$photo= $c->logo;
		 	if($photo!=""){
		 
		 
		
		
	
			
		
		$img=$c->logo;
	
		$img1='uploads/';
	$url = base_url().$img1.$img;

 
 ?>
 <div >
<img class="img-circle" src="<?php echo $url ?>" height="100" width="100" style="border-radius:4px;  ">		 

</div>



	 <?php }else{
		 ?>

				<?php
	 }
		 endforeach; ?>

              <?php }?>
						
				<td>
				
										<td colspan="2" valign="top">
		
						
						<?PHP
						   $data['branchid'] = $session_data['branchid'];
	 $branchid = $data['branchid'];	
						 $countbranch=$this->usermodel->countbranches($companyid);

								$invoicedetails="";
										 if( $countbranch >1){
										 $mybranches= $this->usermodel->populateallarray('branch','id',$branchid);
										$branchdescription=$mybranches[0]['description']; if(isset($branchdescription)) {
											
											
											   echo ($branchdescription); }
									$invoicedetails=$mybranches[0]['invoice'];	

											  // echo strtoupper($branchdescription); }


										}else{
 						$description=$configuration[0]['businessname']; if(isset($description)) {  echo $description; }
					$invoicedetails=$configuration[0]['invoicedetails']; 

											 
										 }
										 
										 
										 
										 ?>
				
						<?php //$description=$configuration[0]['businessname']; if(isset($description)) {echo   $description; }?>
							
						
						
						
						</td>
						
						<td colspan="2" valign="top">
					<h2>DELIVERY NOTE 	</h2>
					
<br><br>
						Delivery  No: <?php echo$batchlist[0]['id'];?><BR>

						 Date:  <?php echo$viewreceipt[0]['dateposted'];?><BR>
						 	Due Date: <?php echo$viewreceipt[0]['due_date'];?><BR>
						Invoice No:  <?php $invoiceid; if(isset($invoiceid)) {echo   $invoiceid; }?><BR>
						Batch  No: <?php echo$batchlist[0]['batchno'];?><BR>

						Payment Method:(<?php  echo$viewreceipt[0]['type'];?>)
						</td>
						
						</tr>
						
					<TR>
					<td colspan="6">
					<hr style="border-top: 2px solid gray;">

					</td>
					</TR>
						<tr>
						
					
						<td colspan="3">
						<B>Billing To:</B><br>
					
						<?php 
						
						$customer=$viewreceipt[0]['customer'];
							$customername=$viewreceipt[0]['name'];
														$mysupplier=$this->usermodel->populateallarray('people','id', $customer);

					if(($customer!="")&& ($customername=="")) {
							echo $mysupplier[0]['company'];
						
					}else if($customer!=""){
							
							
							
					echo	$comments=$mysupplier[0]['comments'].':'.$customername;
						
						 }else {
							 
							 
						
						echo$customername;
						
						
							 
						 }
							?>
						
						
						
						
						
						
						
						
						</td>
						
							<td colspan="3">
						<B>Delivered  To:<br>
						
						 <?php echo$viewreceipt[0]['description'];?><BR>
						
						</B>

						</td>
						
						
						
							</tr>
																				
																				
																				
																				</table >
							
												</table >
<br><br>
										<div class="invoice-box">
													<table border="1" class="height2" height="100%" style="width:100%; border-bottom: none;" id="maintable" >

							
						
							<tr  class="heading">
								 <td><b>code</td>
<td colspan="4"><b>Item Name</b></td>
								 
			 <td><b>Qty Delivered</td>				



								
							</tr>
					
						<?php
					
 if(!is_array($viewsales)) {
	 

			 }else{
 if(!is_array($viewsales)) 

 {


   echo "<tr  style='margin-bottom:0px;margin-top:0px;' '>";
      echo "<td colspan='5'>";
    
    echo "</td>";
   echo "</tr>";
    }else {
 $count=0;

  	foreach ($viewsales as $c): 

		  $count=++$count;

             ?>
				                    <tbody >
									
										 
												
											<tr   valign="top">
											
											<?php 

	 ?>
									<td><?php echo $c->code ; ?></td>


	
	
													    <td  colspan="4" ><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->code;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}

	
   }else{
	    echo "No Product";  
   }
  
  
  ?></td>

									
								<td><?php echo $c->qty ; ?></td>
							
									
											</tr>
										<?php endforeach;} ?>

              <?php }?>	
			  
			  
			  
					<tr>
					<td height="200px"></td><td colspan="1"   height="200px"></td><td  colspan="5"     height="200px"></td>
					</tr>
							
							

	<tr>
								
								
								<td colspan="6"> 
	
									<H3 class="pull-left">
															
				Note/Comment: <?php echo$batchlist[0]['description'];?>								
									</H3>
									
									
						
							</td>
							
							</tr>
							<tr>
								<td colspan="6">
								
																																												 	<?php 
if($viewreceipt[0]['userid'] !=0){
		$alluser=$this->usermodel->populateallarray('people','id', $viewreceipt[0]['userid']);
						 $allnames=$alluser[0]['firstname'];
						
						
}
?>									Prepared By:--<b><?php echo $allnames;?></b>----------------------------------------------------Sign:-----------------------------------Date---------------------------		</pre>	</pre></br>	</br>	</br>				
	
							
									Delivered By:------------------------------------------------------------------Sign:-----------------------------------Date---------------------------</pre>	</pre></br></br>	</br>
									Received  By:------------------------------------------------------------------Sign:-----------------------------------Date----------------------------


							
							
							
								</td>
								
								</tr>
							
							
							</tr>							
								
							
							
								
						
							
							
							
							
							
				
									</tbody>
									
									
					</table>
			<div>
				<div>

</div>
					
					
					
					
				</div>
			</div>
			</div>
		</div>
  
  </div>
 </div>
 </div> 
			
			
		
		
	<script type="text/javascript">


$(window).load(function()
{
	 if( window.print()) {
         window.location.href = "../user/allinvoices";
 }else{
	  //       window.location.href = "../user/allinvoices";
 
 }
});
</script>	


















